#!/usr/bin/env python
# setup.py generated by flit for tools that don't yet use PEP 517

from distutils.core import setup

packages = \
['sklearndf',
 'sklearndf.classification',
 'sklearndf.classification.extra',
 'sklearndf.classification.wrapper',
 'sklearndf.pipeline',
 'sklearndf.pipeline.wrapper',
 'sklearndf.regression',
 'sklearndf.regression.extra',
 'sklearndf.regression.wrapper',
 'sklearndf.transformation',
 'sklearndf.transformation.extra',
 'sklearndf.transformation.wrapper',
 'sklearndf.wrapper']

package_data = \
{'': ['*']}

package_dir = \
{'': 'src'}

install_requires = \
['boruta         ~=0.3',
 'gamma-pytools  ~=1.2',
 'lightgbm       ~=3.0',
 'numpy          >=1.16,<2a',
 'packaging      >=20',
 'pandas         >=0.24,<2a',
 'scikit-learn   >=0.21,<0.25a',
 'scipy          ~=1.2']

extras_require = \
{'docs': ['sphinx ~= 3.4.0',
          'sphinx-autodoc-typehints ~= 1.11.0',
          'pydata-sphinx-theme ~= 0.4.0',
          'jinja2 ~= 2.11',
          'nbsphinx ~= 0.7.0',
          'jupyter ~= 1.0',
          'docutils ~= 0.16.0',
          'xlrd ~= 1.2',
          'm2r ~= 0.2.0'],
 'testing': ['pytest ~= 5.2',
             'pytest-cov ~= 2.8',
             'flake8 ~= 3.8',
             'flake8-comprehensions ~= 3.2',
             'isort ~= 5.5']}

setup(name='sklearndf',
      version='1.2.1',
      description='DataFrame support and feature traceability for scikit-learn.',
      author='Boston Consulting Group (BCG)',
      author_email=None,
      url='https://github.com/BCG-Gamma/sklearndf',
      packages=packages,
      package_data=package_data,
      package_dir=package_dir,
      install_requires=install_requires,
      extras_require=extras_require,
      python_requires='>=3.6,<4a',
     )
